--- /dev/null
+#!/bin/bash
+
+# Script that issues group edits of image files
+
+filevar="/tmp/${0##*/}-$$-a"
+fileexiv="/tmp/${0##*/}-$$-b"
+fullname=$(getent passwd $USER | cut -d : -f 5 | cut -d , -f 1)
+
+echo "photographer=\"$fullname\"
+cameraowner=\"$fullname\"
+description=\"\"
+copyright=\"Creative Commons Attribution Share Alike 4.0 (http://creativecommons.org/licenses/by-sa/4.0)\"
+copyrightshort=\"CC BY-SA 4.0\"
+" > "$filevar"
+
+if ! $EDITOR "$filevar"; then exit 1; fi
+
+source "$filevar"
+
+if [ "$cameraowner" == "$photographer" ]; then
+ echo "set Exif.Image.Artist 'Photographer, $photographer'" >> "$fileexiv"
+ echo "set Iptc.Application2.Byline '$photographer ($copyrightshort)'" >> "$fileexiv"
+ echo "" >> "$fileexiv"
+ echo "set Exif.Image.Copyright 'Copyright, $photographer $(date +'%Y'). $copyright'" >> "$fileexiv"
+else
+ echo "set Exif.Image.Artist 'Camera owner, $cameraowner; Photographer, $photographer'" >> "$fileexiv"
+ echo "set Iptc.Application2.Byline '$photographer and $cameraowner ($copyrightshort)" >> "$fileexiv"
+ echo "" >> "$fileexiv"
+ echo "set Exif.Image.Copyright 'Copyright, $photographer and $cameraowner, $(date +'%Y'). $copyright'" >> "$fileexiv"
+fi
+if [ "$description" ]; then
+ echo "" >> "$fileexiv"
+ echo "set Exif.Photo.UserComment '$description'" >> "$fileexiv"
+ echo "" >> "$fileexiv"
+ echo "set Iptc.Application2.Caption '$description'" >> "$fileexiv"
+fi
+
+if ! $EDITOR "$fileexiv"; then exit 1; fi
+
+for f in "$@"; do
+ exiv2 -m "$fileexiv" "$f"
+done
+
+echo "Verify with"
+echo "exiv2 -p a -g Exif.Image.Artist -g Exif.Image.Copyright -g Exif.Photo.UserComment -g Iptc.Application2.Byline -g Iptc.Application2.Caption $@"
+
+rm -f "$filevar" "$fileexiv"